<?php

 date_default_timezone_set('America/Costa_Rica');
 require ('nt_consultasbd.php');	//Realizas las consultas a BD para la optencion de datos


$detalleimpuestos = '';
if ($resultadoDatofactulineaNotassimpuestos->num_rows > 0) {
	$count = 0;
    while($factulinea_impuestos = $resultadoDatofactulineaNotassimpuestos->fetch_assoc()) { 	
	$count++;
		
		    $data  = [
			'Codigo' => $factulinea_impuestos['cdgimp'],        //  se agrega en la version 4.4  codigo
			'CodigoTarifaIVA' =>$factulinea_impuestos['cdgtar'],           //  se agrega en la version 4.4   monto 
			'TotalMontoImpuesto' =>$factulinea_impuestos['impuestoxtarifa']      //  se agrega en la version 4.4   monto  
				
				];
				
	
		$xml_data_linea = new SimpleXMLElement('<TotalDesgloseImpuesto></TotalDesgloseImpuesto>');
		$linea_to_xml = new Firmadocr();
		$linea_to_xml->array_to_xml( $data,$xml_data_linea); //Arreglo -> Instacia para futuro XML
		
		$dom = new DOMDocument("1.0");
		$dom->preserveWhiteSpace = false;
		$dom->formatOutput = true;
		$dom->loadXML($xml_data_linea->asXML());
	
		$detalleimpuestos_pre  = $dom->saveXML(); //objeto a string
		$detalleimpuestos_final = preg_replace("/<\\?xml.*\\?>/",'', $detalleimpuestos_pre);
		$detalleimpuestos .= $detalleimpuestos_final;			
				
				}		
		}
		
				

  
  
